org.kie.api.fluent

## Interface HumanTaskNodeBuilder<T extends NodeContainerBuilder<T,?>>

- All Superinterfaces:
    NodeBuilder<HumanTaskNodeBuilder<T>,T>

      public interface HumanTaskNodeBuilder<T extends NodeContainerBuilder<T,?>>
      extends NodeBuilder<HumanTaskNodeBuilder<T>,T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HumanTaskNodeBuilder<T>` | `actorId(String actorId)`
    `HumanTaskNodeBuilder<T>` | `comment(String comment)`
    `HumanTaskNodeBuilder<T>` | `content(String content)`
    `HumanTaskNodeBuilder<T>` | `inMapping(String parameterName, String variableName)`
    `T` | `onEntryAction(Dialect dialect, String action)`
    `T` | `onExitAction(Dialect dialect, String action)`
    `HumanTaskNodeBuilder<T>` | `outMapping(String parameterName, String variableName)`
    `HumanTaskNodeBuilder<T>` | `priority(String priority)`
    `HumanTaskNodeBuilder<T>` | `skippable(boolean skippable)`
    `HumanTaskNodeBuilder<T>` | `swimlane(String swimlane)`
    `HumanTaskNodeBuilder<T>` | `taskName(String taskName)`
    `T` | `timer(String delay, String period, Dialect dialect, String action)`
    `HumanTaskNodeBuilder<T>` | `waitForCompletion(boolean waitForCompletion)`
    `HumanTaskNodeBuilder<T>` | `workParameter(String name, Object value)`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Method Detail

    - #### taskName

          HumanTaskNodeBuilder<T> taskName(String taskName)

    - #### actorId

          HumanTaskNodeBuilder<T> actorId(String actorId)

    - #### priority

          HumanTaskNodeBuilder<T> priority(String priority)

    - #### comment

          HumanTaskNodeBuilder<T> comment(String comment)

    - #### skippable

          HumanTaskNodeBuilder<T> skippable(boolean skippable)

    - #### content

          HumanTaskNodeBuilder<T> content(String content)

    - #### inMapping

          HumanTaskNodeBuilder<T> inMapping(String parameterName,
                                            String variableName)

    - #### outMapping

          HumanTaskNodeBuilder<T> outMapping(String parameterName,
                                             String variableName)

    - #### waitForCompletion

          HumanTaskNodeBuilder<T> waitForCompletion(boolean waitForCompletion)

    - #### swimlane

          HumanTaskNodeBuilder<T> swimlane(String swimlane)

    - #### workParameter

          HumanTaskNodeBuilder<T> workParameter(String name,
                                                Object value)

    - #### onEntryAction

          T onEntryAction(Dialect dialect,
                          String action)

    - #### onExitAction

          T onExitAction(Dialect dialect,
                         String action)

    - #### timer

          T timer(String delay,
                  String period,
                  Dialect dialect,
                  String action)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.